# Set to 1 to not require itself to build via gtk+3.0-devel
%define bootstrap 0

%define url_ver	%(echo %{version}|cut -d. -f1,2)
%define oversion 41.0

Summary:		GNOME default icons
Name:			adwaita-icon-theme
Version:		42.0
Release:		%mkrel 2
License:		GPLv2+
Group:			Graphical desktop/GNOME
URL:			http://www.gnome.org/
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{oversion}.tar.xz
BuildRequires:		intltool
BuildRequires:		hicolor-icon-theme
BuildRequires:		icon-naming-utils

%if ! %{bootstrap}
# For gtk-encode-symbolic-svg
BuildRequires:		pkgconfig(gtk+-3.0)
BuildRequires:		librsvg2
%endif

Requires:		hicolor-icon-theme
# For gtk-update-icon-cache
Requires(post):		gtk+3.0 >= 3.19.5
Requires(postun):	gtk+3.0 >= 3.19.5

# gnome-icon-theme and gnome-icon-theme-symbolic were merged
# into one pkg adwaita-icon-theme
Obsoletes:		gnome-icon-theme
Provides:		gnome-icon-theme = %{version}-%{release}
Obsoletes:		gnome-icon-theme-symbolic
Provides:		gnome-icon-theme-symbolic = %{version}-%{release}


%description
This package contains the Adwaita icon theme used by the GNOME desktop.

%prep
%setup -qn %{name}-%{oversion}

%build
%configure2_5x --build=%_build --host=%_host

%make

%install
rm -rf %buildroot
%make_install

touch %{buildroot}%{_datadir}/icons/Adwaita/icon-theme.cache

#compatibility symlink
ln -s %{name}.pc %{buildroot}%{_datadir}/pkgconfig/gnome-icon-theme.pc

install -d %buildroot%{_var}/lib/rpm/filetriggers
cat > %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-Adwaita.filter << EOF
^./usr/share/icons/gnome/
EOF

cat > %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-Adwaita.script << EOF
#!/bin/sh
if [ -x /usr/bin/gtk-update-icon-cache ]; then 
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/Adwaita
fi
EOF


%post
%update_icon_cache Adwaita

%postun
%clean_icon_cache Adwaita

%files
%dir %{_datadir}/icons/Adwaita/
%ghost %{_datadir}/icons/Adwaita/icon-theme.cache
%{_datadir}/icons/Adwaita/index.theme
%{_datadir}/icons/Adwaita/*/
%{_datadir}/icons/Adwaita/cursors/
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/icons/Adwaita/cursors/
%{_var}/lib/rpm/filetriggers/gtk-icon-cache-*.*
%{_datadir}/pkgconfig/gnome-icon-theme.pc

%changelog
* Sun Sep 11 2022 tex - 42.0-2pclos2022
- revert to 41.0

* Sat Sep 10 2022 tex - 42.0-1pclos2022
- new version

* Tue Jan 11 2022 tex - 41.0-1pclos2022
- new version

* Wed May 12 2021 tex - 40.1.1-1pclos2021
- new version

* Wed May 05 2021 tex - 40.1-1pclos2021
- new version

* Mon Sep 14 2020 tex - 3.38.0-1pclos2020
- new version

* Sun Mar 08 2020 tex - 3.36.0-1pclos2020
- new version

* Fri Nov 08 2019 tex - 3.34.3-1pclos2019
- new version

* Tue Nov 05 2019 tex - 3.34.2-1pclos2019
- 3.34.2

* Mon Nov 04 2019 tex - 3.34.1-1pclos2019
- new version

* Fri Sep 13 2019 tex - 3.34.0-1pclos2019
- new version

* Tue Mar 19 2019 tex 3.32.0-1pclos2019
- new

* Fri Mar 01 2019 tex 3.30.1-1pclos2019
- new

* Mon Sep 26 2016 bb <bb> 3.22.0-2pclos2016
- obsolete gnome-icons

* Sat Sep 24 2016 bb <bb> 3.22.0-1pclos2016
- update

